# [[file:../../org/cce/matrix-feedbot.org::*Nix Shell setup][Nix Shell setup:1]]
{ pkgs ? import <nixpkgs> {} }:

let
  myPython = pkgs.python3.withPackages (ppkgs:
    with ppkgs; [
      feedparser
      click
      pyyaml
      matrix-nio
    ]);
in
pkgs.mkShell {
  packages = [
    pkgs.poetry
    myPython
  ];
}
# Nix Shell setup:1 ends here
